//
//  ViewController.swift
//  Desayuno
//
//  Created by Santiago Pavón on 19/04/15.
//  Copyright (c) 2015 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController, CoffeeSelectorViewControllerDelegate, CookieSelectorViewControllerDelegate {

    var myCoffee = ""
    var myCookie = ""
    
    @IBOutlet weak var coffeeButton: UIButton!
    @IBOutlet weak var cookieButton: UIButton!
    

    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {

        if let identifier = segue.identifier {
            switch identifier {
            case "Select Coffee":
                if let vc = segue.destinationViewController as? CoffeeSelectorViewController {
                    vc.currentCoffee = myCoffee
                    vc.delegate = self
                }
            case "Select Cookie":
                if let vc = segue.destinationViewController as? CookieSelectorViewController {
                    vc.currentCookie = myCookie
                    vc.delegate = self
                }
            default:
                break
            }
        }
    }

     // MARK: CoffeeSelectorViewControllerDelegate
    
    func coffeeSelectorViewControllerWasCancelled(csvc: CoffeeSelectorViewController) {
        
        dismissViewControllerAnimated(true , completion: nil)
    }
    
    
    func coffeeSelectorViewController(csvc: CoffeeSelectorViewController, preferredCoffee coffee: String) {
        
        myCoffee = coffee
        setTitle(myCoffee, toButton: coffeeButton)
        dismissViewControllerAnimated(true , completion: nil)
    }
    
    
    // MARK: CookieSelectorViewControllerDelegate
    
    func cookieSelectorViewControllerWasCancelled(csvc: CookieSelectorViewController) {
        
        dismissViewControllerAnimated(true , completion: nil)
    }
    
    
    func cookieSelectorViewController(csvc: CookieSelectorViewController, preferredCookie cookie: String) {
        
        myCookie = cookie
        setTitle(myCookie, toButton: cookieButton)
        dismissViewControllerAnimated(true , completion: nil)
    }
    
    // MARK: Utilidades
    
    private func setTitle(title: String, toButton button: UIButton) {
        button.setTitle(title == "" ? "Elegir" : "I 😍 \(title)", forState: .Normal)
    }
}

